ONVIF::PTZ::Types::JpegDecOptions(3)

NAME
ONVIF::PTZ::Types::JpegDecOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType JpegDecOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ResolutionsAvailable

•   SupportedInputBitrate

•   SupportedFrameRate

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::JpegDecOptions
   ResolutionsAvailable =>  { # ONVIF::PTZ::Types::VideoResolution
     Width =>  $some_value, # int
     Height =>  $some_value, # int
   },
   SupportedInputBitrate =>  { # ONVIF::PTZ::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   SupportedFrameRate =>  { # ONVIF::PTZ::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL